FLOCK(1)

NOM
flock - Gérer des verrous à partir de scripts shell

SYNOPSIS
flock [-sxon] [-w délai] fichier_verrou [-c] commande...

flock [-sxun] [-w délai] fd

DESCRIPTION
Cet utilitaire gère des verrous flock(2) à partir de scripts shell ou de la ligne de commande.

La première forme enveloppe le verrou autour de l'exécution d'une commande à la manière de su(1) ou de newgrp(1). Il verrouille le fichier indiqué, qui est créé (en supposant que vous ayez les permissions appropriées) s'il n'existe pas déjà.

La seconde forme est pratique dans les scripts shell et est généralement utilisée de la manière suivante :

(
  flock -s 200
  # ... commandes exécutées sous verrous ...
) 200>/var/lock/mylockfile

Le mode utilisé pour ouvrir le fichier importe peu à flock : l'utilisation de > ou >> permet la création du fichier verrou s'il n'existe pas déjà, à condition d'avoir la permission en écriture ; l'utilisation de < nécessite que le fichier existe déjà, mais seule la permission en lecture est nécessaire.

Par défaut, si le verrou ne peut pas être obtenu immédiatement, flock attendra jusqu'à ce que le verrou soit disponible.

OPTIONS

-s, --shared
    Obtenir un verrou partagé, parfois appelé verrou en lecture.

-x, -e, --exclusive
    Obtenir un verrou exclusif, parfois appelé verrou en écriture. C'est l'option par défaut.

-u, --unlock
    Lever le verrou. Ce n'est généralement pas nécessaire puisqu'un verrou est automatiquement levé lorsque le fichier est fermé. Toutefois, cela peut être nécessaire dans des cas particuliers comme par exemple si le groupe de commandes enveloppé a dupliqué un processus en arrière-plan qui ne peut pas tenir le verrou.

-n, --nb, --nonblock
    Échouer (avec un code de retour de 1) plutôt que d'attendre si le verrou ne peut pas être obtenu immédiatement.

-w, --wait, --timeout délai
    Échouer (avec un code de retour de 1) si le verrou ne peut pas être obtenu dans les. délai secondes. Les valeurs décimales fractionnaires sont permises.

-o, --close
    Fermer le descripteur de fichiers sur lequel le verrou est tenu avant d'exécuter la commande. Cela est utile si la commande pond un processus fils qui ne peut tenir le verrou.

-c, --command commande
    Passer une simple commande au shell avec -c.

-h, --help
    Afficher un message d'aide.

AUTEUR
Écrit par H. Peter Anvin <hpa@zytor.com>.

COPYRIGHT
Copyright © 2003-2006 H. Peter Anvin.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

VOIR AUSSI
flock(2)

DISPONIBILITÉ
La commande flock fait partie du paquetage util-linux-ng et est disponible à l'adresse ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.

TRADUCTION
Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 26 mai 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 flock ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.